local f = CreateFrame("Frame")

local function OnEvent(self, event, ...)
	if event == "PARTY_INVITE_REQUEST" and UnitIsAFK("player") then
		AcceptGroup()
		f:RegisterEvent("PARTY_MEMBERS_CHANGED")
	elseif event == "PARTY_MEMBERS_CHANGED" then
		StaticPopup_Hide("PARTY_INVITE")
		f:UnregisterEvent("PARTY_MEMBERS_CHANGED")
	end
end

f:RegisterEvent("PARTY_INVITE_REQUEST")
f:SetScript("OnEvent", OnEvent)